Bug 40947 - Comparing version changes in Calc shows wrong author
Summary: Comparing version changes in Calc shows wrong author
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: File-Versioning
  Show dependency treegraph
 
Reported: 2011-09-16 13:57 UTC by Mario
Modified: 2019-12-03 13:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test file with described problem (17.32 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-02-08 06:49 UTC, Mario
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mario 2011-09-16 13:57:37 UTC
Problem:

When working with several users on the same spreadsheet one after another (no sharing) and each user saves a version, then when comparing an old version to the openend version, there is only one user listed as author: the user that has the document open in this moment.

Steps to reproduce:

- Create a spreadsheet as UserA (Homer), do some work, save it, then save it as a version (v1Homer), then close it
- Open this spreadsheet as UserB (Bart), do some work, save it as another version (v2Bart)
- Open this spreadsheet again as Homer, go to File -> Versions, select version v1Homer, then press "Compare"

Result here: Every change is listed with author "Homer" but it should show "Bart" because Bart made the changes between the first version (v1Homer) and the now opened document (at version v2Bart).

If I do the same in the Writer application, everything is correct (User Bart is show as author of the changes), so I guess this is a bug related especially to Calc.
Comment 1 Björn Michaelsen 2011-12-23 12:35:04 UTC Comment hidden (obsolete)
Comment 2 sasha.libreoffice 2012-02-03 01:47:37 UTC
@ Mario 
Please, attach both described document
Comment 3 Mario 2012-02-08 06:49:55 UTC
Created attachment 56751 [details]
test file with described problem

User Homer made some changes but when comparing, Mario is listed as the change author. Use File -> Versions -> Compare

The change in line 2 (homer) is done by user Homer, not Mario
Comment 4 sasha.libreoffice 2012-02-08 07:24:46 UTC
in 3.3.4 and in 3.5.0 beta on Fedora 64 bit in column "Verison" is my name
Change version to 3.3.4 as most early reproducible

Thanks for attachment
Comment 5 QA Administrators 2014-10-24 03:18:21 UTC Comment hidden (obsolete)
Comment 6 Mario 2014-11-07 12:33:41 UTC
The bug is still present in:

Version: 4.3.3.2
Build-ID: 4.3.3.2 Arch Linux build-1
Comment 7 QA Administrators 2015-12-20 16:10:16 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-01-03 19:47:26 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 13:58:05 UTC
Dear Mario,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug